# SQLite3::loadExtension

(PHP 5 >= 5.3.0, PHP 7)

SQLite3::loadExtension — Attempts to load an SQLite extension library

### Description

public SQLite3::loadExtension ( string `$shared_library` ) : bool

Attempts to load an SQLite extension library.

### Parameters

`shared_library`

  The name of the library to load. The library must be located in the directory specified in the configure option sqlite3.extension_dir.

### Return Values

Returns `TRUE` if the extension is successfully loaded, `FALSE` on failure.

### Examples

Example #1 SQLite3::loadExtension() example

`<?php
$db = new SQLite3('mysqlitedb.db');
$db->loadExtension('libagg.so');
?>`